


#include<iostream>
#include<cstdlib>
#include<cstdio>
#include"ezwin.h"
#include"bitmap.h"
#include"position.h"
#include<ctime>

#define imsize 0.76


//time interval for the defusal kit
#define time_interval 900


SimpleWindow minesweeper("Minesweeper" ,25,25);
BitMap grid(minesweeper);
BitMap flagmode(minesweeper);
BitMap newgamebutton(minesweeper);
BitMap reloadgamebutton(minesweeper);
BitMap defusebutton(minesweeper);
BitMap clockbitmap(minesweeper);


// defuse
SimpleWindow clickthebutton(" Click The Button " , 20, 20 );
BitMap redbutton(clickthebutton);

#include"initialize.cpp"
#include"randomize.cpp"
#include"generategrid.cpp"
#include"displayn.cpp"
#include"displaymineflag.cpp"
#include"display8square.cpp"
#include"display0polygon.cpp"
#include"timeclock.cpp"
#include"newgame.cpp"
#include"highscr.cpp"
#include"keyboard.cpp"
#include"gamestatuscheck.cpp"
#include"saveloadgame.cpp"
#include"challenge.cpp"
#include"defuse.cpp"
#include"mouseclick7.0.cpp"





int ApiMain()
	{
    gametype=1;
    
   
    if(gametype==1)
	{
	
	int a,b;
	float x,y;
	initialize();
	/*cout<<"enter row:"<<endl;
	cin>>rowsize;
	cout<<"enter column:"<<endl;
	cin>>colsize;
	cout<<"enter mine:"<<endl;
	cin>>mines; 
	*/
    minesweeper.Open();
    
    // displaying the grid
	for(a=0;a<rowsize;a++)
		{for(b=0;b<colsize;b++)
			{
			y=2 + imsize*a;
			x=2 + imsize*b;
			grid.Load("invisible.xpm");
			grid.SetPosition(Position(x,y));
			grid.Draw();
			}
		}	
	
	
	
	//displaying flagmode button:
	flagmode.Load("flagmodeoff.xpm");
	flagmode.SetPosition(Position(15,4));
	flagmode.Draw(); 
	
	//displaying new game button:
	newgamebutton.Load("newgame.xpm");
	newgamebutton.SetPosition(Position(18,5));
	newgamebutton.Draw();
	
	// displaying reload game button:
	reloadgamebutton.Load("reloadgame.xpm");
	reloadgamebutton.SetPosition(Position(18,8));
	reloadgamebutton.Draw();
	//starting the clock
	minesweeper.RenderText(Position(15,10),Position(17,12),"00:00");
	// showing the clock
	clockbitmap.Load("clock.xpm");
	clockbitmap.SetPosition(Position(14.8,7));
	clockbitmap.Draw();
	
	
	
	// displaying defuse button
	defusebutton.Load("defuse.xpm");
	defusebutton.SetPosition(Position(18,12));
	defusebutton.Draw();
	
	
	
	
	
	
	//setting mouse click functions
	minesweeper.SetMouseClickCallback(mouseclick);
	//setting timer functions
	minesweeper.SetTimerCallback(timeclock);
	
	
	}
	
	}
	
	
		
		
